%define dist .el5

%define gtk2_version		2.4.0
%define glib2_version		2.2.2
%define dbus_version		0.90
%define dbus_glib_version	0.70

Summary: libnotify notification library 
Name: libnotify 
Version: 0.4.2
Release: 6%{?dist}.XOS.1
URL: http://www.galago-project.org/specs/notification/ 
Source0: %{name}-%{version}.tar.bz2
Patch0: libnotify-0.4.2-status-icon.patch
Patch1: libnotify-0.4.2-invalid-assertion.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: libtool
BuildRequires: glib2-devel >= %{glib2_version} 
BuildRequires: dbus-devel >= %{dbus_version} 
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
Requires: glib2 >= %{glib2_version}
Requires: desktop-notification-daemon

%description

libnotify is an implementation of the freedesktop.org desktop 
notification specification.

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:       glib2-devel >= %{glib2_version}
Requires:	dbus-devel >= %{dbus_version} 
Requires:	dbus-glib-devel >= %{dbus_glib_version}

%description devel

This package contains the headers and pkg-config file for
development of programs using %{name}.

%prep
%setup -q
%patch0
%patch1 -p2

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT 

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS

%{_bindir}/notify-send
%{_libdir}/lib*.so*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/libnotify.pc
%dir %{_datadir}/gtk-doc/html/libnotify
%{_datadir}/gtk-doc/html/libnotify/*

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.4.2-6.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on libnotify-0.4.2-6.el5.src.rpm
  (md5sum of original source rpm: f49c6bc19bf07306115856bd229d331e).
- Include "dist" macro with value ".el5" to match the original release number.

* Sat Dec  9 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.2-6
- Another typo (#214275)

* Tue Nov  7 2006 Matthias Clasen <mclasen@redhat.com> - 0.4.2-5
- Fix typos in the spec (#214275)
 
* Sun Sep 17 2006 Christopher Aillon <caillon@redhat.com> - 0.4.2-4
- Add upstream patch (r2899) to correct an invalid assertion when
  creating notifications using status icons

* Tue Aug 15 2006 Luke Macken <lmacken@redhat.com> - 0.4.2-3
- Add upstream patch libnotify-0.4.2-status-icon.patch to emit the correct
  property change notification 'status-icon' instead of 'attach-icon'

* Fri Jul 21 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4.2-2
- Add developer docs to the devel section

* Fri Jul 21 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4.2-1
- Update to upstream version 0.4.2
- Add dist tag to release
- Add Requires to devel package

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4.0-3.2
- reinstate desktop-notification dependency

* Wed Jul 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4.0-3.1
- comment out desktop-notification dependency so we can build the
  notification daemon

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4.0-3
- Add BR on dbus-glib-devel

* Wed Jul 13 2006 Jesse Keating <jkeating@redhat.com> - 0.4.0-2
- rebuild
- add missing brs

* Fri May 19 2006 John (J5) Palmieri <johnp@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Sat Mar 11 2006 Bill Nottingham <notting@redhat.com> - 0.3.0-6
- define %%{glib2_version} if it's in a requirement

* Thu Mar  2 2006 Ray Strode <rstrode@redhat.com> - 0.3.0-5
- patch out config.h include from public header

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.3.0-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 12 2006 Christopher Aillon <caillon@redhat.com> - 0.3.0-4
- Require a desktop-notification-daemon to be present.  Currently,
  this is notify-daemon, but libnotify doesn't specifically require
  that one.  Require 'desktop-notification-daemon' which daemons
  providing compatible functionality are now expected to provide.

* Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 0.3.0-3
- Let there be libnotify-devel...

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.0-2
- Actual release of the 0.3.x series

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.0-1
- Bump version to not conflict with older libnotify libraries

* Tue Nov 15 2005 John (J5) Palmieri <johnp@redhat.com> - 0.0.2-1
- inital build
